Skip to main content
DELETE
Delete a GitHub credential

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Ankra-Organisation-Id
string<uuid>

Act in another organisation the token's owner is an active member of; defaults to the token's own organisation.

X-Ankra-Project-Id
string<uuid>

Act in another project of the organisation; a token pinned to a project cannot leave it.

Path Parameters

credential_id
string<uuid>
required

Query Parameters

replacement_credential_id
string<uuid>

Response

The credential is marked for deletion

marked_for_deletion_at
string<date-time>
required